body {
  font-family: 'Arial', sans-serif;
  background-color: #1e1e1e; /* Dark background for better contrast */
  color: #ffffff;
  margin: 0;
  padding: 20px;
}

#ui {
  max-width: 600px;
  margin: 0 auto;
}

.control {
  margin-bottom: 15px;
  display: flex;
  align-items: center;
}

.control input[type='range'],
.control select,
.control button {
  margin-left: 10px;
}

.control label {
  flex-shrink: 0;
}

#speed-slider {
  width: 100%;
}

#speed-slider:hover {
  cursor: pointer;
  background-color: #333;
}

.control select:hover, 
.control button:hover {
  cursor: pointer;
  background-color: #444;
}

.instructions {
  font-size: 14px;
}

canvas {
  display: block;
  margin: 20px auto;
  border: 2px solid #444; /* Slight border for visual separation */
}

/* Accessibility improvements */
[role='img']::before {
  content: attr(aria-label);
  position: absolute;
  top: -1em;
  left: 50%;
  transform: translateX(-50%);
  background-color: #1e1e1e;
  color: #fff;
  padding: 0.5em;
  border-radius: 0.2em;
  white-space: nowrap;
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.5);
}